---
references:
- id: AbrahamsenSimulation2018
  accessed:
    - year: 2021
      month: 7
      day: 29
  author:
    - family: Abrahamsen
      given: P.
    - family: Kvernelv
      given: V.
    - family: Barker
      given: D.
  citation-key: AbrahamsenSimulation2018
  DOI: 10.3997/2214-4609.201802134
  event-title: ECMOR XVI - 16th European Conference on the Mathematics of Oil Recovery
  ISSN: 2214-4609
  issue: '1'
  issued:
    - year: 2018
      month: 9
      day: 3
  language: en
  page: 1-14
  publisher: European Association of Geoscientists & Engineers
  title: Simulation Of Gaussian Random Fields Using The Fast Fourier Transform (Fft)
  type: paper-conference
  URL: https://www.earthdoc.org/content/papers/10.3997/2214-4609.201802134
  volume: '2018'

- id: ChanAlgorithm1997
  accessed:
    - year: 2022
      month: 2
      day: 27
  author:
    - family: Chan
      given: Grace
    - family: Wood
      given: Andrew T.A.
  citation-key: ChanAlgorithm1997
  container-title: 'Journal of the Royal Statistical Society: Series C (Applied Statistics)'
  DOI: 10.1111/1467-9876.00057
  ISSN: 1467-9876
  issue: '1'
  issued:
    - year: 1997
  language: en
  page: 171-181
  publisher: '[Wiley, Royal Statistical Society]'
  title: >-
    Algorithm AS 312: An Algorithm for Simulating Stationary Gaussian Random
    Fields
  type: article-journal
  volume: '46'

- id: ChanSimulation1999
  accessed:
    - year: 2017
      month: 11
      day: 1
  author:
    - family: Chan
      given: G.
    - family: Wood
      given: A. T. A.
  citation-key: ChanSimulation1999
  container-title: Statistics and Computing
  container-title-short: Statistics and Computing
  DOI: 10.1023/A:1008903804954
  ISSN: 0960-3174, 1573-1375
  issue: '4'
  issued:
    - year: 1999
      month: 11
      day: 1
  language: en
  page: 265-268
  title: Simulation of stationary Gaussian vector fields
  type: article-journal
  volume: '9'

- id: DaviesCirculant2013
  accessed:
    - year: 2017
      month: 11
      day: 1
  author:
    - family: Davies
      given: Tilman M.
    - family: Bryant
      given: David
  citation-key: DaviesCirculant2013
  container-title: Journal of Statistical Software
  DOI: 10.18637/jss.v055.i09
  ISSN: 1548-7660
  issue: '9'
  issued:
    - year: 2013
  language: en
  title: On Circulant Embedding for Gaussian Random Fields in R
  type: article-journal
  volume: '55'

- id: DietrichFast1993
  accessed:
    - year: 2017
      month: 11
      day: 8
  author:
    - family: Dietrich
      given: C. R.
    - family: Newsam
      given: G. N.
  citation-key: DietrichFast1993
  container-title: Water Resources Research
  DOI: 10.1029/93WR01070
  ISSN: '00431397'
  issue: '8'
  issued:
    - year: 1993
      month: 8
  language: en
  page: 2861-2869
  title: A fast and exact method for multidimensional gaussian stochastic simulations
  type: article-journal
  URL: >-
    https://ai2-s2-pdfs.s3.amazonaws.com/bffe/cfaee3eda00bd04f4ad8f019173e1c2f39fb.pdf
  volume: '29'

- id: DietrichFast1997
  accessed:
    - year: 2022
      month: 2
      day: 27
  author:
    - family: Dietrich
      given: C. R.
    - family: Newsam
      given: G. N.
  citation-key: DietrichFast1997
  container-title: SIAM Journal on Scientific Computing
  container-title-short: SIAM J. Sci. Comput.
  DOI: 10.1137/S1064827592240555
  ISSN: 1064-8275
  issue: '4'
  issued:
    - year: 1997
      month: 7
  page: 1088-1107
  publisher: Society for Industrial and Applied Mathematics
  title: >-
    Fast and Exact Simulation of Stationary Gaussian Processes through Circulant
    Embedding of the Covariance Matrix
  type: article-journal
  URL: >-
    https://web.archive.org/web/20190303011829id_/http://pdfs.semanticscholar.org/bffe/cfaee3eda00bd04f4ad8f019173e1c2f39fb.pdf
  volume: '18'

- id: DurrandeBanded2019
  accessed:
    - year: 2022
      month: 2
      day: 27
  author:
    - family: Durrande
      given: Nicolas
    - family: Adam
      given: Vincent
    - family: Bordeaux
      given: Lucas
    - family: Eleftheriadis
      given: Stefanos
    - family: Hensman
      given: James
  citation-key: DurrandeBanded2019
  container-title: >-
    Proceedings of the Twenty-Second International Conference on Artificial
    Intelligence and Statistics
  event-title: The 22nd International Conference on Artificial Intelligence and Statistics
  ISSN: 2640-3498
  issued:
    - year: 2019
      month: 4
      day: 11
  language: en
  page: 2780-2789
  publisher: PMLR
  title: >-
    Banded Matrix Operators for Gaussian Markov Models in the Automatic
    Differentiation Era
  type: paper-conference
  URL: http://arxiv.org/abs/1902.10078

- id: ErhelAnalysis
  author:
    - family: Erhel
      given: Jocelyne
    - family: Oumouni
      given: Mestapha
    - family: Pichot
      given: Géraldine
    - family: Schoefs
      given: Franck
  citation-key: ErhelAnalysis
  language: en
  page: '26'
  title: >-
    Analysis of continuous spectral method for sampling stationary Gaussian
    random fields
  type: article-journal

- id: GilboaScaling2015
  author:
    - family: Gilboa
      given: E.
    - family: Saatçi
      given: Y.
    - family: Cunningham
      given: J. P.
  citation-key: GilboaScaling2015
  container-title: IEEE Transactions on Pattern Analysis and Machine Intelligence
  DOI: 10.1109/TPAMI.2013.192
  issue: '2'
  issued:
    - year: 2015
      month: 2
  page: 424-436
  title: Scaling Multidimensional Inference for Structured Gaussian Processes
  type: article-journal
  URL: http://arxiv.org/abs/1209.4120
  volume: '37'

- id: GrahamAnalysis2017
  accessed:
    - year: 2017
      month: 11
      day: 8
  author:
    - family: Graham
      given: Ivan G.
    - family: Kuo
      given: Frances Y.
    - family: Nuyens
      given: Dirk
    - family: Scheichl
      given: Rob
    - family: Sloan
      given: Ian H.
  citation-key: GrahamAnalysis2017
  container-title: arXiv:1710.00751 [math]
  issued:
    - year: 2017
      month: 10
      day: 2
  title: >-
    Analysis of circulant embedding methods for sampling stationary random
    fields
  type: article-journal
  URL: http://arxiv.org/abs/1710.00751

- id: GrahamCirculant2017
  accessed:
    - year: 2017
      month: 11
      day: 8
  author:
    - family: Graham
      given: Ivan G.
    - family: Kuo
      given: Frances Y.
    - family: Nuyens
      given: Dirk
    - family: Scheichl
      given: Rob
    - family: Sloan
      given: Ian H.
  citation-key: GrahamCirculant2017
  container-title: arXiv:1710.09254 [math]
  issued:
    - year: 2017
      month: 10
      day: 25
  title: >-
    Circulant embedding with QMC — analysis for elliptic PDE with lognormal
    coefficients
  type: article-journal
  URL: http://arxiv.org/abs/1710.09254

- id: GrayToeplitz2006
  accessed:
    - year: 2017
      month: 11
      day: 1
  author:
    - family: Gray
      given: Robert M.
  citation-key: GrayToeplitz2006
  DOI: 10.1561/0100000006
  issued:
    - year: 2006
      month: 1
      day: 31
  language: English
  title: 'Toeplitz and Circulant Matrices: A Review'
  type: book
  URL: http://ee.stanford.edu/~gray/toeplitz.pdf
  volume: '2'

- id: GuinnessCirculant2016
  author:
    - family: Guinness
      given: Joseph
    - family: Fuentes
      given: Montserrat
  citation-key: GuinnessCirculant2016
  container-title: Journal of Computational and Graphical Statistics
  DOI: 10.1080/10618600.2016.1164534
  ISSN: 1061-8600
  issue: '1'
  issued:
    - year: 2016
      month: 3
      day: 16
  page: 88-97
  title: >-
    Circulant Embedding of Approximate Covariances for Inference From Gaussian
    Data on Large Lattices
  type: article-journal
  URL: >-
    https://repository.lib.ncsu.edu/bitstream/handle/1840.4/8557/mimeo2657_Guinness.pdf?sequence=1
  volume: '26'

- id: HaranGaussian2011
  accessed:
    - year: 2022
      month: 8
      day: 10
  author:
    - family: Haran
      given: Murali
  citation-key: HaranGaussian2011
  container-title: Handbook of Markov Chain Monte Carlo
  DOI: 10.1201/b10905-19
  editor:
    - family: Brooks
      given: Steve
    - family: Gelman
      given: Andrew
    - family: Jones
      given: Galin
    - family: Meng
      given: Xiao-Li
  ISBN: 978-1-4200-7941-8 978-1-4200-7942-5
  issued:
    - year: 2011
      month: 5
      day: 10
  language: en
  publisher: Chapman and Hall/CRC
  title: Gaussian Random Field Models for Spatial Data
  type: chapter
  URL: http://personal.psu.edu/muh10/spatial.final.pdf
  volume: '20116022'

- id: LangFast2011
  accessed:
    - year: 2021
      month: 7
      day: 29
  author:
    - family: Lang
      given: Annika
    - family: Potthoff
      given: Jürgen
  citation-key: LangFast2011
  container-title: Monte Carlo Methods and Applications
  DOI: 10.1515/MCMA.2011.009
  ISSN: 0929-9629, 1569-3961
  issue: '3'
  issued:
    - year: 2011
      month: 1
  language: en
  title: Fast simulation of Gaussian random fields
  type: article-journal
  URL: http://arxiv.org/abs/1105.2737
  volume: '17'

- id: LiuAdvances2019
  accessed:
    - year: 2022
      month: 3
      day: 17
  author:
    - family: Liu
      given: Yang
    - family: Li
      given: Jingfa
    - family: Sun
      given: Shuyu
    - family: Yu
      given: Bo
  citation-key: LiuAdvances2019
  container-title: Computational Geosciences
  container-title-short: Comput Geosci
  DOI: 10.1007/s10596-019-09867-y
  ISSN: 1420-0597, 1573-1499
  issue: '5'
  issued:
    - year: 2019
      month: 10
  language: en
  page: 1011-1047
  title: 'Advances in Gaussian random field generation: a review'
  type: article-journal
  URL: https://repository.kaust.edu.sa/handle/10754/656527
  volume: '23'

- id: LoperLineartime2021
  accessed:
    - year: 2022
      month: 2
      day: 27
  author:
    - family: Loper
      given: Jackson
    - family: Blei
      given: David
    - family: Cunningham
      given: John P.
    - family: Paninski
      given: Liam
  citation-key: LoperLineartime2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '234'
  issued:
    - year: 2021
      month: 10
      day: 12
  page: 1-36
  title: Linear-time inference for Gaussian Processes on one dimension
  type: article-journal
  URL: http://arxiv.org/abs/2003.05554
  volume: '22'

- id: PowellGenerating2014
  author:
    - family: Powell
      given: Catherine E.
  citation-key: PowellGenerating2014
  container-title: matrix
  issue: '2'
  issued:
    - year: 2014
  page: '1'
  title: >-
    Generating realisations of stationary gaussian random fields by circulant
    embedding
  type: article-journal
  volume: '2'

- id: RueFast2001
  accessed:
    - year: 2021
      month: 7
      day: 29
  author:
    - family: Rue
      given: Havard
  citation-key: RueFast2001
  container-title: Journal of the Royal Statistical Society. Series B (Statistical Methodology)
  DOI: 10.1111/1467-9868.00288
  ISSN: 1369-7412
  issue: '2'
  issued:
    - year: 2001
  page: 325-338
  publisher: '[Royal Statistical Society, Wiley]'
  title: Fast Sampling of Gaussian Markov Random Fields
  type: article-journal
  volume: '63'

- id: RueGaussian2005
  author:
    - family: Rue
      given: Håvard
    - family: Held
      given: Leonhard
  call-number: QA274 .R84 2005
  citation-key: RueGaussian2005
  collection-number: '104'
  collection-title: Monographs on statistics and applied probability
  DOI: 10.1201/9780203492024
  event-place: Boca Raton
  ISBN: 978-1-58488-432-3
  issued:
    - year: 2005
  number-of-pages: '263'
  publisher: Chapman & Hall/CRC
  publisher-place: Boca Raton
  title: 'Gaussian Markov random fields: theory and applications'
  type: book

- id: TeichmannEfficient2016
  accessed:
    - year: 2021
      month: 7
      day: 29
  author:
    - family: Teichmann
      given: Jakob
    - family: Boogaart
      given: Karl-Gerald
      non-dropping-particle: van den
  citation-key: TeichmannEfficient2016
  container-title: Applied Mathematics
  DOI: 10.4236/am.2016.717174
  issue: '17'
  issued:
    - year: 2016
      month: 11
      day: 14
  language: en
  number: '17'
  page: 2183-2194
  publisher: Scientific Research Publishing
  title: >-
    Efficient Simulation of Stationary Multivariate Gaussian Random Fields with
    Given Cross-Covariance
  type: article-journal
  URL: http://www.scirp.org/Journal/Paperabs.aspx?paperid=72164
  volume: '7'

- id: WhittleAnalysis1953
  accessed:
    - year: 2020
      month: 5
      day: 9
  author:
    - family: Whittle
      given: P.
  citation-key: WhittleAnalysis1953
  container-title: 'Journal of the Royal Statistical Society: Series B (Methodological)'
  DOI: 10.1111/j.2517-6161.1953.tb00131.x
  ISSN: 2517-6161
  issue: '1'
  issued:
    - year: 1953
  language: en
  page: 125-139
  title: The Analysis of Multiple Stationary Time Series
  type: article-journal
  volume: '15'

- id: WhittleEstimation1953
  accessed:
    - year: 2017
      month: 11
      day: 1
  author:
    - family: Whittle
      given: P.
  citation-key: WhittleEstimation1953
  container-title: Arkiv för Matematik
  container-title-short: Ark. Mat.
  DOI: 10.1007/BF02590998
  ISSN: 0004-2080, 1871-2487
  issue: '5'
  issued:
    - year: 1953
      month: 8
  language: EN
  page: 423-434
  title: Estimation and information in stationary time series
  type: article-journal
  volume: '2'

- id: WhittleResults1952
  accessed:
    - year: 2017
      month: 11
      day: 1
  author:
    - family: Whittle
      given: Peter
  citation-key: WhittleResults1952
  container-title: Scandinavian Actuarial Journal
  DOI: 10.1080/03461238.1952.10414182
  ISSN: 0346-1238
  issue: 1-2
  issued:
    - year: 1952
      month: 1
      day: 1
  page: 48-60
  title: Some results in time series analysis
  type: article-journal
  volume: '1952'

- id: WhittleStationary1954
  author:
    - family: Whittle
      given: P
  citation-key: WhittleStationary1954
  container-title: Biometrika
  issue: 3/4
  issued:
    - year: 1954
  page: 434-449
  title: On stationary processes in the plane
  type: article-journal
  volume: '41'

- id: WhittleTests1952
  accessed:
    - year: 2017
      month: 11
      day: 1
  author:
    - family: Whittle
      given: P.
  citation-key: WhittleTests1952
  container-title: Biometrika
  container-title-short: Biometrika
  DOI: 10.1093/biomet/39.3-4.309
  ISSN: 0006-3444
  issue: 3-4
  issued:
    - year: 1952
      month: 12
      day: 1
  page: 309-318
  title: Tests of Fit in Time Series
  type: article-journal
  volume: '39'

- id: WilsonPathwise2021
  accessed:
    - year: 2022
      month: 2
      day: 28
  author:
    - family: Wilson
      given: James T
    - family: Borovitskiy
      given: Viacheslav
    - family: Terenin
      given: Alexander
    - family: Mostowsky
      given: Peter
    - family: Deisenroth
      given: Marc Peter
  citation-key: WilsonPathwise2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '105'
  issued:
    - year: 2021
  language: en
  page: 1-47
  title: Pathwise Conditioning of Gaussian Processes
  type: article-journal
  URL: http://arxiv.org/abs/2011.04026
  volume: '22'
...
